from django.contrib import admin

from .models import *


@admin.register(Region)
class RegionAdmin(admin.ModelAdmin):
    list_display = ("id", "code", "p_code", "name", "level", "is_delete", "spell")
    search_fields = ("id", "code", "p_code", "name", "spell")
    fields = ("id", "code", "p_code", "name", "level", "is_delete", "spell")
    readonly_fields = ['id']
    list_per_page = 20


@admin.register(NoticeType)
class NoticeTypeAdmin(admin.ModelAdmin):
    list_display = ("id", "name", "description",)
    search_fields = ("id", "name")
    fields = ("id", "name", "description",)
    readonly_fields = ['id']
    list_per_page = 20


@admin.register(Notice)
class NoticeAdmin(admin.ModelAdmin):
    list_display = (
        "id", "notice_type", "title", "content", "link_format", "link_params", "files", "status",
        "created_time", "read_time", "expire_time", "thread_id", "from_user_id", "to_user_id", "to_role_id",
    )
    search_fields = ("id", "notice_type", "from_user_id", "to_user_id", "to_role_id")
    fields = (
        "id", "notice_type", "title", "content", "link_format", "link_params", "files", "status",
        "created_time", "read_time", "expire_time", "thread_id", "from_user_id", "to_user_id", "to_role_id"
    )
    readonly_fields = ['id', "created_time"]
    list_per_page = 20
